<?php
namespace PHPMaker2020\project2;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$kp_ubigeos_dist_add = new kp_ubigeos_dist_add();

// Run the page
$kp_ubigeos_dist_add->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$kp_ubigeos_dist_add->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var fkp_ubigeos_distadd, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "add";
	fkp_ubigeos_distadd = currentForm = new ew.Form("fkp_ubigeos_distadd", "add");

	// Validate form
	fkp_ubigeos_distadd.validate = function() {
		if (!this.validateRequired)
			return true; // Ignore validation
		var $ = jQuery, fobj = this.getForm(), $fobj = $(fobj);
		if ($fobj.find("#confirm").val() == "F")
			return true;
		var elm, felm, uelm, addcnt = 0;
		var $k = $fobj.find("#" + this.formKeyCountName); // Get key_count
		var rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1;
		var startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
		var gridinsert = ["insert", "gridinsert"].includes($fobj.find("#action").val()) && $k[0];
		for (var i = startcnt; i <= rowcnt; i++) {
			var infix = ($k[0]) ? String(i) : "";
			$fobj.data("rowindex", infix);
			<?php if ($kp_ubigeos_dist_add->codubigeodpto->Required) { ?>
				elm = this.getElements("x" + infix + "_codubigeodpto");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $kp_ubigeos_dist_add->codubigeodpto->caption(), $kp_ubigeos_dist_add->codubigeodpto->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($kp_ubigeos_dist_add->codubigeoprov->Required) { ?>
				elm = this.getElements("x" + infix + "_codubigeoprov");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $kp_ubigeos_dist_add->codubigeoprov->caption(), $kp_ubigeos_dist_add->codubigeoprov->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($kp_ubigeos_dist_add->codubigeodist->Required) { ?>
				elm = this.getElements("x" + infix + "_codubigeodist");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $kp_ubigeos_dist_add->codubigeodist->caption(), $kp_ubigeos_dist_add->codubigeodist->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($kp_ubigeos_dist_add->nomdist->Required) { ?>
				elm = this.getElements("x" + infix + "_nomdist");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $kp_ubigeos_dist_add->nomdist->caption(), $kp_ubigeos_dist_add->nomdist->RequiredErrorMessage)) ?>");
			<?php } ?>

				// Call Form_CustomValidate event
				if (!this.Form_CustomValidate(fobj))
					return false;
		}

		// Process detail forms
		var dfs = $fobj.find("input[name='detailpage']").get();
		for (var i = 0; i < dfs.length; i++) {
			var df = dfs[i], val = df.value;
			if (val && ew.forms[val])
				if (!ew.forms[val].validate())
					return false;
		}
		return true;
	}

	// Form_CustomValidate
	fkp_ubigeos_distadd.Form_CustomValidate = function(fobj) { // DO NOT CHANGE THIS LINE!

		// Your custom validation code here, return false if invalid.
		return true;
	}

	// Use JavaScript validation or not
	fkp_ubigeos_distadd.validateRequired = <?php echo Config("CLIENT_VALIDATE") ? "true" : "false" ?>;

	// Dynamic selection lists
	loadjs.done("fkp_ubigeos_distadd");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $kp_ubigeos_dist_add->showPageHeader(); ?>
<?php
$kp_ubigeos_dist_add->showMessage();
?>
<form name="fkp_ubigeos_distadd" id="fkp_ubigeos_distadd" class="<?php echo $kp_ubigeos_dist_add->FormClassName ?>" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="kp_ubigeos_dist">
<input type="hidden" name="action" id="action" value="insert">
<input type="hidden" name="modal" value="<?php echo (int)$kp_ubigeos_dist_add->IsModal ?>">
<div class="ew-add-div"><!-- page* -->
<?php if ($kp_ubigeos_dist_add->codubigeodpto->Visible) { // codubigeodpto ?>
	<div id="r_codubigeodpto" class="form-group row">
		<label id="elh_kp_ubigeos_dist_codubigeodpto" for="x_codubigeodpto" class="<?php echo $kp_ubigeos_dist_add->LeftColumnClass ?>"><?php echo $kp_ubigeos_dist_add->codubigeodpto->caption() ?><?php echo $kp_ubigeos_dist_add->codubigeodpto->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $kp_ubigeos_dist_add->RightColumnClass ?>"><div <?php echo $kp_ubigeos_dist_add->codubigeodpto->cellAttributes() ?>>
<span id="el_kp_ubigeos_dist_codubigeodpto">
<input type="text" data-table="kp_ubigeos_dist" data-field="x_codubigeodpto" name="x_codubigeodpto" id="x_codubigeodpto" size="30" maxlength="5" placeholder="<?php echo HtmlEncode($kp_ubigeos_dist_add->codubigeodpto->getPlaceHolder()) ?>" value="<?php echo $kp_ubigeos_dist_add->codubigeodpto->EditValue ?>"<?php echo $kp_ubigeos_dist_add->codubigeodpto->editAttributes() ?>>
</span>
<?php echo $kp_ubigeos_dist_add->codubigeodpto->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($kp_ubigeos_dist_add->codubigeoprov->Visible) { // codubigeoprov ?>
	<div id="r_codubigeoprov" class="form-group row">
		<label id="elh_kp_ubigeos_dist_codubigeoprov" for="x_codubigeoprov" class="<?php echo $kp_ubigeos_dist_add->LeftColumnClass ?>"><?php echo $kp_ubigeos_dist_add->codubigeoprov->caption() ?><?php echo $kp_ubigeos_dist_add->codubigeoprov->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $kp_ubigeos_dist_add->RightColumnClass ?>"><div <?php echo $kp_ubigeos_dist_add->codubigeoprov->cellAttributes() ?>>
<span id="el_kp_ubigeos_dist_codubigeoprov">
<input type="text" data-table="kp_ubigeos_dist" data-field="x_codubigeoprov" name="x_codubigeoprov" id="x_codubigeoprov" size="30" maxlength="5" placeholder="<?php echo HtmlEncode($kp_ubigeos_dist_add->codubigeoprov->getPlaceHolder()) ?>" value="<?php echo $kp_ubigeos_dist_add->codubigeoprov->EditValue ?>"<?php echo $kp_ubigeos_dist_add->codubigeoprov->editAttributes() ?>>
</span>
<?php echo $kp_ubigeos_dist_add->codubigeoprov->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($kp_ubigeos_dist_add->codubigeodist->Visible) { // codubigeodist ?>
	<div id="r_codubigeodist" class="form-group row">
		<label id="elh_kp_ubigeos_dist_codubigeodist" for="x_codubigeodist" class="<?php echo $kp_ubigeos_dist_add->LeftColumnClass ?>"><?php echo $kp_ubigeos_dist_add->codubigeodist->caption() ?><?php echo $kp_ubigeos_dist_add->codubigeodist->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $kp_ubigeos_dist_add->RightColumnClass ?>"><div <?php echo $kp_ubigeos_dist_add->codubigeodist->cellAttributes() ?>>
<span id="el_kp_ubigeos_dist_codubigeodist">
<input type="text" data-table="kp_ubigeos_dist" data-field="x_codubigeodist" name="x_codubigeodist" id="x_codubigeodist" size="30" maxlength="5" placeholder="<?php echo HtmlEncode($kp_ubigeos_dist_add->codubigeodist->getPlaceHolder()) ?>" value="<?php echo $kp_ubigeos_dist_add->codubigeodist->EditValue ?>"<?php echo $kp_ubigeos_dist_add->codubigeodist->editAttributes() ?>>
</span>
<?php echo $kp_ubigeos_dist_add->codubigeodist->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($kp_ubigeos_dist_add->nomdist->Visible) { // nomdist ?>
	<div id="r_nomdist" class="form-group row">
		<label id="elh_kp_ubigeos_dist_nomdist" for="x_nomdist" class="<?php echo $kp_ubigeos_dist_add->LeftColumnClass ?>"><?php echo $kp_ubigeos_dist_add->nomdist->caption() ?><?php echo $kp_ubigeos_dist_add->nomdist->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $kp_ubigeos_dist_add->RightColumnClass ?>"><div <?php echo $kp_ubigeos_dist_add->nomdist->cellAttributes() ?>>
<span id="el_kp_ubigeos_dist_nomdist">
<input type="text" data-table="kp_ubigeos_dist" data-field="x_nomdist" name="x_nomdist" id="x_nomdist" size="30" maxlength="50" placeholder="<?php echo HtmlEncode($kp_ubigeos_dist_add->nomdist->getPlaceHolder()) ?>" value="<?php echo $kp_ubigeos_dist_add->nomdist->EditValue ?>"<?php echo $kp_ubigeos_dist_add->nomdist->editAttributes() ?>>
</span>
<?php echo $kp_ubigeos_dist_add->nomdist->CustomMsg ?></div></div>
	</div>
<?php } ?>
</div><!-- /page* -->
<?php if (!$kp_ubigeos_dist_add->IsModal) { ?>
<div class="form-group row"><!-- buttons .form-group -->
	<div class="<?php echo $kp_ubigeos_dist_add->OffsetColumnClass ?>"><!-- buttons offset -->
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("AddBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $kp_ubigeos_dist_add->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
	</div><!-- /buttons offset -->
</div><!-- /buttons .form-group -->
<?php } ?>
</form>
<?php
$kp_ubigeos_dist_add->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$kp_ubigeos_dist_add->terminate();
?>